Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vizitown.Vizitown Class Reference

Class Vizitown This class manage the plugin in QGIS and instanciate the service. More...

Collaboration diagram for vizitown_plugin.vizitown.Vizitown:

## Public Member Functions
def | __init__
| Constructor Initialize the plugin interface and load it in QGIS. More...
def | initGui
| initGui method Integrate the plugin starter and button in the Qgis Menu More...
def | unload
| unload method Remove the plugin of the Qgis Menu More...
def | info
| info method Sent the extent of QGIS. More...
def | run
| run method Launch the plugin and initialize the value of fields. More...

## Public Attributes
| iface
| plugin_dir
| translator
| dlg
| action

## Detailed Description

Class Vizitown This class manage the plugin in QGIS and instanciate the service.

## Constructor & Destructor Documentation

def vizitown_plugin.vizitown.Vizitown.__init__ | ( |  | self,
|  |  | iface
| ) |  |

Constructor Initialize the plugin interface and load it in QGIS.

Create the reference between the canvas and the plugin to dialog

## Member Function Documentation

def vizitown_plugin.vizitown.Vizitown.info | ( |  | self) |  |

info method Sent the extent of QGIS.

Enables synchronization between the viewer and qgis

def vizitown_plugin.vizitown.Vizitown.initGui | ( |  | self) |  |

initGui method Integrate the plugin starter and button in the Qgis Menu

def vizitown_plugin.vizitown.Vizitown.run | ( |  | self) |  |

run method Launch the plugin and initialize the value of fields.

def vizitown_plugin.vizitown.Vizitown.unload | ( |  | self) |  |

unload method Remove the plugin of the Qgis Menu

## Member Data Documentation

vizitown_plugin.vizitown.Vizitown.action

vizitown_plugin.vizitown.Vizitown.dlg

vizitown_plugin.vizitown.Vizitown.iface

vizitown_plugin.vizitown.Vizitown.plugin_dir

vizitown_plugin.vizitown.Vizitown.translator

The documentation for this class was generated from the following file:

- vizitown.py